From: Jiri Pirko <j...@mellanox.com>

Fix the "ok" action test so it checks that packet that is okayed does not
continue to be processed by other rules. Fix error message as well.

Signed-off-by: Jiri Pirko <j...@mellanox.com>
Reviewed-by: Ido Schimmel <ido...@mellanox.com>
---
 tools/testing/selftests/net/forwarding/tc_actions.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/tools/testing/selftests/net/forwarding/tc_actions.sh 
b/tools/testing/selftests/net/forwarding/tc_actions.sh
index 6b18ba2d3982..ac6b6a1057d8 100755
--- a/tools/testing/selftests/net/forwarding/tc_actions.sh
+++ b/tools/testing/selftests/net/forwarding/tc_actions.sh
@@ -96,7 +96,10 @@ gact_drop_and_ok_test()
                -t ip -q
 
        tc_check_packets "dev $swp1 ingress" 101 1
-       check_err $? "Did not see trapped packet"
+       check_err $? "Did not see passed packet"
+
+       tc_check_packets "dev $swp1 ingress" 102 2
+       check_fail $? "Packet was dropped and it should not reach here"
 
        tc filter del dev $swp1 ingress protocol ip pref 2 handle 102 flower
        tc filter del dev $swp1 ingress protocol ip pref 1 handle 101 flower
-- 
2.14.3

Reply via email to